namespace elm { 
inline bool Fileselector::buttons_ok_cancel_get() const
{
   Eina_Bool __return_value =  ::elm_obj_fileselector_buttons_ok_cancel_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Fileselector::buttons_ok_cancel_set( ::efl::eolian::in_traits<bool>::type visible) const
{
    ::elm_obj_fileselector_buttons_ok_cancel_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(visible));
}
} 
namespace eo_cxx {
namespace elm { 
inline bool Fileselector::buttons_ok_cancel_get() const
{
   Eina_Bool __return_value =  ::elm_obj_fileselector_buttons_ok_cancel_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Fileselector::buttons_ok_cancel_set( ::efl::eolian::in_traits<bool>::type visible) const
{
    ::elm_obj_fileselector_buttons_ok_cancel_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(visible));
}
inline elm::Fileselector::operator ::elm::Fileselector() const { return *static_cast< ::elm::Fileselector const*>(static_cast<void const*>(this)); }
inline elm::Fileselector::operator ::elm::Fileselector&() { return *static_cast< ::elm::Fileselector*>(static_cast<void*>(this)); }
inline elm::Fileselector::operator ::elm::Fileselector const&() const { return *static_cast< ::elm::Fileselector const*>(static_cast<void const*>(this)); }
} }

